MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028778Open CASCADE[OCCT] OCCT:Codingpublic2017-05-23 18:132017-09-29 16:25
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028778: Coding Rules - clean up confusing code from Select3D
DescriptionSelect3D_SensitivePoly defines the following ill-formed code which should be cleared:
Standard_Real Select3D_SensitivePoly::Center (const Standard_Integer theIdx,
                                              const Standard_Integer theAxis) const
{
..
  const SelectMgr_Vec3& aCenter = (aBndBox.CornerMin() + aBndBox.CornerMax()) * 0.5;
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028789closedbugmaster Visualization, TKV3d - extend API for accessing and assigning BVH builders 

-  Notes
(0066495)
git (administrator)
2017-05-23 19:06

Branch CR28778 has been created by kgv.

SHA-1: cf1ba97e6cb9fb0696658382a62a5a82b0e5d23c


Detailed log of new commits:

Author: kgv
Date: Tue May 23 19:05:41 2017 +0300

    0028778: Coding Rules - clean up confusing code from Select3D
(0066496)
kgv (developer)
2017-05-23 19:06

Please test the patch.
(0066550)
mkv (tester)
2017-05-25 11:32

Dear BugMaster,
Branch CR28778 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: cf1ba97e6cb9fb0696658382a62a5a82b0e5d23c

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1181

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91947520 / 91629864 [+0.35%]
Total CPU difference: 18889.25000000024 / 18660.720000000343 [+1.22%]
products component :
Total MEMORY difference: 31354184 / 31347866 [+0.02%]
Total CPU difference: 5420.529999999986 / 5401.239999999972 [+0.36%]
Testing on Windows:
occt component :
Total MEMORY difference: 58429529 / 58426283 [+0.01%]
Total CPU difference: 17660.124405198585 / 17319.43382129878 [+1.97%]
products component :
Total MEMORY difference: 22719513 / 22681228 [+0.17%]
Total CPU difference: 5407.041460299969 / 5370.256424499971 [+0.68%]

There are no differences in images found by testdiff.
(0066551)
mkv (tester)
2017-05-25 11:32

Dear BugMaster,
Branch CR28778 is TESTED.
(0066785)
git (administrator)
2017-05-29 16:06

Branch CR28778 has been deleted by kgv.

SHA-1: cf1ba97e6cb9fb0696658382a62a5a82b0e5d23c

- Related Changesets
occt: master 14077ce9
Timestamp: 2017-05-23 16:05:41
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028778: Coding Rules - clean up confusing code from Select3D
mod - src/Select3D/FILES Diff ] File ]
rm - src/Select3D/Select3D_Macro.hxx Diff ] File ]
mod - src/Select3D/Select3D_Pnt.hxx Diff ] File ]
mod - src/Select3D/Select3D_PointData.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveBox.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveBox.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveCircle.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveCircle.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveCurve.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveEntity.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveEntity.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveFace.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveFace.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveGroup.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveGroup.hxx Diff ] File ]
rm - src/Select3D/Select3D_SensitiveGroup.lxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoint.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoint.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoly.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoly.hxx Diff ] File ]
rm - src/Select3D/Select3D_SensitivePoly.lxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveSegment.hxx Diff ] File ]
rm - src/Select3D/Select3D_SensitiveSegment.lxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveSet.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangle.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangle.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangulation.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangulation.hxx Diff ] File ]
rm - src/Select3D/Select3D_SensitiveTriangulation.lxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveWire.hxx Diff ] File ]
mod - src/SelectBasics/FILES Diff ] File ]
mod - src/SelectBasics/SelectBasics.hxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_EntityOwner.hxx Diff ] File ]
rm - src/SelectBasics/SelectBasics_EntityOwner.lxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_SensitiveEntity.cxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_SensitiveEntity.hxx Diff ] File ]
rm - src/SelectBasics/SelectBasics_SensitiveEntity.lxx Diff ] File ]
occt: master 0609d8ee
Timestamp: 2017-05-23 16:05:41
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028778: Coding Rules - clean up confusing code from Select3D
mod - src/Select3D/FILES Diff ] File ]
rm - src/Select3D/Select3D_Macro.hxx Diff ] File ]
mod - src/Select3D/Select3D_Pnt.hxx Diff ] File ]
mod - src/Select3D/Select3D_PointData.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveBox.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveBox.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveCircle.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveCircle.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveCurve.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveEntity.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveEntity.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveFace.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveFace.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveGroup.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveGroup.hxx Diff ] File ]
rm - src/Select3D/Select3D_SensitiveGroup.lxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoint.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoint.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoly.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoly.hxx Diff ] File ]
rm - src/Select3D/Select3D_SensitivePoly.lxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveSegment.hxx Diff ] File ]
rm - src/Select3D/Select3D_SensitiveSegment.lxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveSet.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangle.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangle.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangulation.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangulation.hxx Diff ] File ]
rm - src/Select3D/Select3D_SensitiveTriangulation.lxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveWire.hxx Diff ] File ]
mod - src/SelectBasics/FILES Diff ] File ]
mod - src/SelectBasics/SelectBasics.hxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_EntityOwner.hxx Diff ] File ]
rm - src/SelectBasics/SelectBasics_EntityOwner.lxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_SensitiveEntity.cxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_SensitiveEntity.hxx Diff ] File ]
rm - src/SelectBasics/SelectBasics_SensitiveEntity.lxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-23 18:13 kgv New Issue
2017-05-23 18:13 kgv Assigned To => kgv
2017-05-23 19:06 git Note Added: 0066495
2017-05-23 19:06 kgv Note Added: 0066496
2017-05-23 19:06 kgv Assigned To kgv => bugmaster
2017-05-23 19:06 kgv Status new => resolved
2017-05-23 19:06 kgv Status resolved => reviewed
2017-05-24 12:19 mkv Assigned To bugmaster => mkv
2017-05-25 11:32 mkv Note Added: 0066550
2017-05-25 11:32 mkv Note Added: 0066551
2017-05-25 11:32 mkv Assigned To mkv => bugmaster
2017-05-25 11:32 mkv Status reviewed => tested
2017-05-25 11:33 mkv Test case number => Not needed
2017-05-26 10:51 kgv Relationship added related to 0028789
2017-05-26 14:28 bugmaster Changeset attached => occt master 14077ce9
2017-05-26 14:29 bugmaster Status tested => verified
2017-05-26 14:29 bugmaster Resolution open => fixed
2017-05-26 14:56 bugmaster Changeset attached => occt master 0609d8ee
2017-05-29 16:06 git Note Added: 0066785
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker